Subject: Re: [PATCH 2/3] Add -n/--no-prompt option to mergetool

From: William Pursell <[email-masked]>
Date: Fri, 24 Oct 2008 23:32:17 +0100

Charles Bailey wrote:
> 
> After more thoughts, I'm somewhat in favour of dropping the short
> switch altogether. As it just saves a single keypress per merge I
> imagine that most mergetool users, once they discover this new
> feature and decide that they want to use it, will prefer to use a user
> config option to switch it on. The command line option then becomes
> something that you would only need to use to override your normal
> default and something on which to hang the option description in the
> man page. 

If the short option is dropped, the config option should
probably associated with mergetool.<tool>.interactive rather
than mergetool.interactive.  (s/interactive/whatever)

-- 
William Pursell